Description

I think I've got an interesting situation.

If you take the attached shapefile and use the topology plugin and check for Sass_ridge must not have invalid geometry you get an error.

After much digging found an instance of a polygon that was attached to another polygon by one vertice. Error is at

1443960.455,452216.726 or -87.76370,35.56268 (if you want it in Lat and Long). This wasn't an error in 2.10 (May have something to do

with GEOS to Validate Geometries).

I used the check Geometry plugin and it found nothing - Which is correct - I don't think this was an instance of a polygon crossing over

itself. So I checked the "polygon must not have holes" option - I found 79 errors that the topology plugin didn't see. EXCEPT - I really don't

think they are errors or they are being incorrectly flagged in the output. All the holes seem to be in the middle of polygons and not on the

edges.

Check Geometry Validity (vector -> Geometry Tools) found no problem at all.

Out of these three I think the Topology plugin is more correct - but I'm curious why geometry checker saw 79 holes.

History

#1 - 2015-11-06 10:17 AM - Giovanni Manghi

- Affected QGIS version changed from 2.12.0 to master

- Subject changed from Topology and Check geometries to incosistencies in results of topology checker, geometry checker and  check geometry validity 

tools

Well of course here is one of those areas where we have what I call "bad redundancy", especially considering that these 3 tools work all their own way.

The topology checker plugin is known to throw some false positive, there is another ticket about it.

The attached shapefile seems ok to me, when I have a doubt I always check also with GRASS and there are no holes nor gaps between polygons.

It seems to me that the geometry checker plugin consider holes also the space that is occupied by polygons that are inside other polygons, not sure this is

on purpose or not.

#2 - 2015-11-06 10:25 AM - Randal Hale

Thanks - yes I think that is what has me thrown. Topology seems to be doing one thing and I'm not sure where Geometry Checker is fitting in...but I'm still

playing around with it deciding how it's working toward the greater good.
I had cleaned this originally in Grass several months ago. After a period of editing I decided to recheck and I had a few legitimate errors. I'm also going to

set the QGIS topology "engine" back to QGIS and check it all again.

Having been a long time ESRI user this will be confusing for converts.

This was all stored in PostGIS when I ran the checks.

#3 - 2015-11-06 11:05 AM - Giovanni Manghi

Randal Hale wrote:

Thanks - yes I think that is what has me thrown. Topology seems to be doing one thing and I'm not sure where Geometry Checker is fitting in...but I'm

still playing around with it deciding how it's working toward the greater good.

I don't think that the geometry checker was developed to fit together with the topology checker, but of course the geometry checker comes to fill a big void,

a tool that can actually fix issue and not only tell you that you have issues.

I had cleaned this originally in Grass several months ago. After a period of editing I decided to recheck and I had a few legitimate errors. I'm also

going to set the QGIS topology "engine" back to QGIS and check it all again.

After a few tries the geometry checker seems more reliable to me, but there are things of the topology checker that I personally like. Anyway this result for

the  check for holes seems suspicious (in the geometry checker).

Having been a long time ESRI user this will be confusing for converts.

yes I agree.

#4 - 2017-02-26 02:25 PM - Randal Hale

- Status changed from Open to Closed

Files

sass_ridge.zip 409 KB 2015-11-06 Randal Hale
